@charset "UTF-8";
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

:root {
   --space-between: #E0C3A3;
   --footer-main: #a57b54;
   --footer-second: #333333;
   --footer-text: #ffffff;
   --section-color: #E0C3A3;
   --link-menu: #323232;
}

html {
   font-family: 'Poppins', sans-serif;
   -ms-text-size-adjust: 100%;
   -webkit-text-size-adjust: 100%;
   scroll-behavior: smooth;
}

body {
   margin: 0;
   padding: 0;
   font-size: 1rem;
   line-height: 1.4rem;
   word-spacing: 3px;
   position: relative;
   overflow-x: hidden;
   padding-top: 6.75rem;
   display: -webkit-box;
   display: -ms-flexbox;
   display: flex;
   -webkit-box-orient: vertical;
   -webkit-box-direction: normal;
   -ms-flex-direction: column;
   flex-direction: column;
   width: 100%;
   min-height: 100%;
}

/* ----------------- NAV ----------------- */
nav {
   position: fixed;
   top: 0;
   left: 0;
   right: 0;
   width: 100%;
   background: #fff;
   z-index: 1000;
   padding: 1rem 0;
   box-shadow: 0 5px 20px 0 rgb(0 0 0 / 11%);
   box-sizing: border-box;
}

.nav_container {
   width: 100%;
   padding-left: 15px;
   padding-right: 15px;
   padding-top: auto;
   padding-bottom: auto;
}

.nav_row {
   display: flex;
   flex-wrap: wrap;
   margin-left: -15px;
   margin-right: -15px;
}

.nav_col{
   flex: 0 0 60%;
   max-width: 60%;
   margin-left: 20%;
}

.nav_content {
   display: flex;
   flex-direction: row;
   justify-content: space-between;
   align-items: center;
}

.nav_element {
   display: flex;
   align-items: center;
   justify-content: center;
}

.nav_menu {
   display: flex;
   flex-direction: row;
   list-style: none;
   margin: 0;
}

.nav_menu > li {
   margin-left: 1.5rem;
   font-weight: 600;
   font-size: 1.1rem;
   text-decoration: none;
   color: var(--link-menu);
}
.nav_menu > li > a , .nav_menu > li > a:link, .nav_menu > li > a:hover, .nav_menu > li > a:active {
   text-decoration: none;
   color: var(--link-menu);
}

.nav_element_mob {
   display: none;
}

.ham_menu {
   display: none;
}
/* ----------------- Head ----------------- */

.head_content {
   width: 100%;
   margin-top: 100px;
   padding-left: auto;
   padding-right: auto;
}
.head_container {
   display: flex;
   min-height: 450px;
   justify-content: center;
   background-image: url("../img/top.jpg");
   background-repeat: no-repeat;
   background-size: cover;
}

/* ----------------- Main ----------------- */

.first_content {
   margin-top: 10px;
}

.second_content::before, .third_content::before, .fourth_content::before, .fifth_content::before {
   content: '';
   display: block;
   background: var(--section-color);
   height: 100px;
   width: 100%;
}

.main_img_left {
   position: relative;
   top: -100px;
   left: 10%;
}

.main_img_right {
   position: relative;
   top: -100px;
   left: 70%;
}

.content_column {
   display: flex;
   flex-direction: column;
   justify-content: center;
   margin-bottom: 50px;
   margin-top: 30px;
}

.content_row {
   display: flex;
   flex-direction: row;
   justify-content: center;
   margin-bottom: 20px;
   margin-top: 20px;
}

.content_text {
   margin-top: -120px;
}

.content_aside {
   display: flex;
   flex-direction: row;
   justify-content: center;
   align-items: center;
}

.content_aside > div:nth-child(2) {
   margin-left: 20px;
   width: 60%;
}
.aside_map {
   display: flex;
   align-items: left;
   justify-content: left;
   margin-right: 20px;
   width: 40%;
}

.content_text > h1 {
   display: flex;
   justify-content: center;
}

.container {
   flex: 0 0 60%;
   max-width: 60%;
   margin-left: 20%;
}

/* ----------------- Galeria ----------------- */

.gallery_container
{
	width: 100%;
	height: 100%;
}
.trans
{
	transition: all 1s ease;
	-moz-transition: all 1s ease;
	-ms-transition: all 1s ease;
	-o-transition: all 1s ease;
	-webkit-transition: all 1s ease;
}
.gallery_top
{
	display: flex;
	width: 80%;
	height: 80%;
	margin-top: 20px;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 20px;
}
.gallery_top ul
{
   display: flex;
   flex-direction: row;
   flex-wrap: wrap;
	list-style: none;
	width: 100%;
	height: 100%;
	z-index: 1;
	box-sizing: border-box;
}
.gallery_top ul li
{
	position: relative;
	float: left;
	width: 20%;
	height: 20%;
	overflow: hidden;
}

.gallery_top ul li::before
{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: #000;
	content: '';
	color: white;
	opacity: 0.4;
	text-align: center;
	box-sizing: border-box;
	pointer-events: none;
	transition: all 0.5s ease;
	-moz-transition: all 0.5s ease;
	-ms-transition: all 0.5s ease;
	-o-transition: all 0.5s ease;
	-webkit-transition: all 0.5s ease;
}
.gallery_top ul li:hover::before
{
	opacity: 0;
	background-color: rgba(0,0,0,0.90);
}
.gallery_top ul li img
{
	width: 100%;
	height: auto;
	overflow: hidden;
}
.lightbox
{
	position: fixed;
	width: 100%;
	height: 100%;
	text-align: center;
	top: 0;
	left: 0;
	background-color: rgba(0,0,0,0.75);
	z-index: 999;
	opacity: 0;
	pointer-events: none;
}
.lightbox img
{
	max-width: 90vw;
	max-height: 80vh;
	position: relative;
   left: 20%;
	top: -100%;
	/* Transition */
	transition: all 1s ease;
	-moz-transition: all 1s ease;
	-ms-transition: all 1s ease;
	-o-transition: all 1s ease;
	-webkit-transition: all 1s ease;
}
.lightbox:target
{
	outline: none;
	top: 0;
	opacity: 1;
	pointer-events: auto;
	transition: all 1.2s ease;
	-moz-transition: all 1.2s ease;
	-ms-transition: all 1.2s ease;
	-o-transition: all 1.2s ease;
	-webkit-transition: all 1.2s ease;
}
.lightbox:target img
{
	top: 0;
	top: 50%;
	transform: translateY(-50%);
	-moz-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	-o-transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
}

/* ----------------- Footer ----------------- */
footer {
   display: flex;
   flex-direction: column;
   font-size: 0.8rem;
   line-height: 1rem;
   z-index: 1;
   width: 100%;
}

.footer_main {
   background: var(--footer-main);
   color: var(--footer-text);
   min-height: 50px;
   display: flex;
   flex-direction: row;
   align-items: center;
   justify-content: center;
}

.footer_second {
   background: var(--footer-second);
   color: var(--footer-text);
   padding: 2rem 0;
}

.footer_container {
   width: 100%;
   padding-left: 15px;
   padding-right: 15px;
   padding-top: auto;
   padding-bottom: auto;
}

.footer_col{
   flex: 0 0 60%;
   max-width: 60%;
   margin-left: 20%;
}

.footer_row {
   display: flex;
   flex-wrap: wrap;
   align-items: center;
   justify-content: space-between;
   margin-left: -15px;
   margin-right: -15px;
   margin-top: 20px;
   margin-bottom: 20px;
}

.mal_link , .mal_link {
   color: var(--footer-text);
}

.footer_block {
   display: flex;
   justify-content: center;
   align-items: center;
}

.footer_menu {
   display: flex;
   flex-direction: column;
   list-style: none;
   margin: 0;
}

.footer_menu > li {
   font-weight: 400;
   font-size: 0.8rem;
   text-decoration: none;
   color: var(--footer-text);
}
.footer_menu > li > a , .footer_menu > li > a:link, .footer_menu > li > a:hover, .footer_menu > li > a:active {
   text-decoration: none;
   color: var(--footer-text);
}

/* ----------------- Formularz ----------------- */
.left_conteriner {
   width: 60%;
   margin-bottom: 20px;
   padding: 0 5px 0 5px;
}

.left_conteriner > div {
   display: flex;
   flex-direction: row;
}

.form_container {
   display: flex;
   flex-direction: row;
   justify-content: center;
   align-items: center;
}

.right_conteriner {
   width: 40%;
   font-size: 13px;
   padding: 0 5px 0 5px;
}
.main_form {
   display: flex;
   flex-direction: row;
   flex-wrap: nowrap;
}

.form_container_button {
   margin-top: 10px;
   display: flex;
   flex-direction: row;
   justify-content: center;
}

input[type="text"], input[type="email"], input[type="tel"] {
   width: 100%;
   height: 40px;
   margin-right: 20px;
   margin-bottom: 20px;
   padding-left: 5px;
}

textarea {
   width: 100%;
   height: 125px;
   resize: none;
   padding-left: 5px;
   margin-right: 20px;
}

button, html input[type="button"] {
   overflow: visible;
   text-transform: none;
   cursor: pointer;
}

.btn {
   background: var(--section-color);
   border-radius: 5px;
   border: none;
   width: 300px;
   height: 50px;
}

.btn_span_text {
   padding-top: 10px;
   margin-top: 10px;
}

.btn_span {
   font-weight: 700;
   font-size: 18px;
   color: var(--link-menu);
}

.info_email{
   display: flex;
   justify-content: center;
   align-items: center;
   padding-top: 30px;
   text-decoration: none;
   color: var(--link-menu);
   z-index: 5000;
}


/* ----------------- Media ----------------- */

@media (max-width: 650px){
   .nav_col, .container {
      flex: 0 0 90%;
      max-width: 90%;
      margin-left: 5%;
   }

   .main_img_left, .main_img_right {
      display: none;
   }

   .second_content::before, .third_content::before, .fourth_content::before, .fifth_content::before {
      height: 40px;
   }

   .content_column {
      margin-top: 140px;
   }

   .head_container {
      display: flex;
      min-height: 340px;
      justify-content: center;
      background-image: url("../img/top_500.jpg");
      background-repeat: no-repeat;
      background-size: cover;
   }
}

@media (max-width: 1280px){
   body {
      font-size: 0.8rem;
      line-height: 1.2rem;
      word-spacing: 2px;
   }

   .nav_menu{
      display: none;
   }

   .form_container {
      display: flex;
      flex-direction: column;
   }
   .left_conteriner {
      width: 100%;
   }
   .right_conteriner {
      width: 100%;
   }

   .lightbox img
   {
      left: 5%;
   }

   .footer_row > div:nth-child(5){
      display: none;
   }

   .ham_menu {
      display: block;
      color:var(--link-menu);
   }

   .nav_element_mob {
      position: relative;
      max-width: 100%;
      margin: auto;
      min-height: 100px;
      display: flex;
      align-items: flex-end;
      justify-content: flex-end;
      display: none;
   }

   .nav_menu_mob{
      display: flex;
      flex-direction: column;
      list-style: none;
      align-items: flex-end;
      justify-content: flex-end;
   }

   .nav_menu_mob > li {
      font-weight: 600;
      font-size: 0.9rem;
      text-decoration: none;
      color: var(--link-menu);
   }

   .nav_menu_mob > li > a , .nav_menu_mob > li > a:link {
      text-decoration: none;
      color: var(--link-menu);
   }

   .content_aside {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
   }
}

@media (max-width: 1600px) {
   body {
      font-size: 0.9rem;
   }

   .nav_menu > li {
      margin-left: 1.2rem;
      font-weight: 600;
      font-size: 0.9rem;
   }
}